﻿using Mvc5_Tabelas.Models;
using Mvc5_Tabelas.Services;
using System.Collections.Generic;
using System.Web.Mvc;

namespace Mvc5_Tabelas.Controllers
{
    public class HomeController : Controller
    {
        List<Funcionario> funcionarios = FuncionarioServices.GetFuncionarios();

        // GET: Home
        // pagina principal
        public ActionResult Index()
        {
            return View();
        }

        //tabela : foreach
        public ActionResult TabelaForeach()
        {
            return View(funcionarios);
        }

        //tabela : webgrid
        public ActionResult TabelaWebGrid()
        {
            return View(funcionarios);
        }

        //tabela : json
        public ActionResult TabelaJsonView()
        {
            return View();
        }

        public JsonResult FuncionariosDados()
        {
            return Json(funcionarios, JsonRequestBehavior.AllowGet);
        }
    }
}